class UserMailer < ApplicationMailer
  # 注意：这个地方一定要和你的邮箱服务域名一致
  # default from: 'notification@trustie.org'
  # default from: 'noreply@gitlink.org.cn'
  default from: 'GitLink <noreply@gitlink.org.cn>'

  # 用户注册验证码
  def register_email(mail, code)
    @code = code
    mail(to: mail, subject: 'Gitink | 注册验证码')
  end

  # 用户找回密码
  def find_password(mail, code)
    @code = code
    mail(to: mail, subject: 'Gitink | 找回密码验证码')
  end

  # 用户绑定邮箱
  def bind_email(mail, code)
    @code = code
    mail(to: mail, subject: 'Gitink | 绑定邮箱验证码')
  end

  def update_email(mail, code)
    @code = code
    mail(to: mail, subject: 'Gitink | 更改邮箱验证码')
  end

  def feedback_email(mail, title, content)
    mail(to: mail, subject: title, content_type: "text/html", body: content)
  end

  def glcc_pr_check_email(mail, title, name, content)
    @content = content
    @name = name
    mail(to: mail, subject: title)
  end
  
end
